{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.manalabs_scp.scp4195.attack_control": {
			"initial_state": "init",
			"states": {
				"init": {
					"transitions": [
						{
							"default": "query.has_target"
						}
					]
				},
				"default": {
					"on_entry": ["/execute if entity @a[r=2] run event entity @s attack_knockback", "variable.attack_delay = query.life_time + 1.5;"],
					"transitions": [
						{
							"init": "variable.attack_delay < query.life_time"
						}
					]
				}
			}
		},
		"controller.animation.manalabs_scp.scp4195.spawn_controll": {
			"initial_state": "init",
			"states": {
				"init": {
					"transitions": [
						{
							"default": "1.0"
						}
					]
				},
				"default": {
					"on_entry": ["/execute if entity @e[type=manalabs_scp:scp4195,rm=1,r=60] run event entity @s despawn"]
				}
			}
		}
	}
}